Robotics Systems Types - Tasks #1301

Adapt documentation of rst.vision.SimpleXYZImage to new conventions

12/14/2012 07:55 PM - J. Moringen

Status: Resolved Start date: 12/14/2012
Priority: Low Due date:

Assignee: A. Swadzba % Done: 100%
Category: documentation Estimated time: 0.00 hour
Target version: rsb-0.9

Description

All types in the master branch use a doxygen-inspired syntax for documentation (for an example, see
source:proto/sandbox/rst/geometry/AxisAlignedBoundingBox3DFloat.proto, and the corresponding generated documenation).

Related issues:

Related to Robotics Systems Types - Feature # 1200: Add SimpleXYZImage Resolved 10/11/2012

Associated revisions

Revision 9b0f23bf - 12/15/2012 01:02 PM - J. Moringen

Initial documentation in proto/sandbox/rst/vision/SimpleXYZlmage.proto

refs #1301

Note: The documentation is still incomplete and has to be extended by
the original authoress.

- proto/sandbox/rst/vision/SimpleXYZImage.proto: added initial

documentation, constraints and units

Revision 0a7d255a - 12/17/2012 07:28 PM - A. Swadzba

Extended documentation of SimpleXYZImage.proto

fixes #1301

- SimpleXYZImage.proto: filled in missing parts of the message and
field documentation strings

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

Revision 06f4c881 - 12/17/2012 07:36 PM - J. Moringen

Fixed indentation in proto/sandbox/rst/vision/SimpleXYZImage.proto

refs #1301

- proto/sandbox/rst/vision/SimpleXYZlmage.proto: fixed indentation of
docstring for field SimpleXYZlmage.x
http://docs.cor-lab.de/rst-manual/trunk/html/generated/sandbox/package-rst-geometry.html#message-rst-geometry-axisalignedboundingbox3dfloat
mailto:jmoringe@techfak.uni-bielefeld.de

History

#1 - 12/17/2012 07:47 PM - A. Swadzba
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-protojcommit:0a7d255afdf4a50305a0f85fe509e034faf16fc5.
